summaryrefslogtreecommitdiff
path: root/dev-python/python-hpilo/python-hpilo-3.9.ebuild
diff options
context:
space:
mode:
authorNicolas Bock <nicolasbock@gentoo.org>2018-01-02 11:23:48 -0700
committerNicolas Bock <nicolasbock@gentoo.org>2018-01-02 11:24:04 -0700
commit05d282b36e262bd7aca9f12df69d886b912c718e (patch)
tree99e9525f29fc7bf36365c3424f974bdcbc1e5a82 /dev-python/python-hpilo/python-hpilo-3.9.ebuild
parente07fd04d39089791aa25aefbc4902b75815efae4 (diff)
downloadgentoo-05d282b36e262bd7aca9f12df69d886b912c718e.tar.gz
gentoo-05d282b36e262bd7aca9f12df69d886b912c718e.tar.bz2
gentoo-05d282b36e262bd7aca9f12df69d886b912c718e.zip
dev-python/python-hpilo: Older version python-hpilo-3.9
Package-Manager: Portage-2.3.13, Repoman-2.3.3
Diffstat (limited to 'dev-python/python-hpilo/python-hpilo-3.9.ebuild')
-rw-r--r--dev-python/python-hpilo/python-hpilo-3.9.ebuild21
1 files changed, 21 insertions, 0 deletions
diff --git a/dev-python/python-hpilo/python-hpilo-3.9.ebuild b/dev-python/python-hpilo/python-hpilo-3.9.ebuild
new file mode 100644
index 000000000000..a291d1ad427b
--- /dev/null
+++ b/dev-python/python-hpilo/python-hpilo-3.9.ebuild
@@ -0,0 +1,21 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 python3_{4,5,6} )
+
+inherit distutils-r1
+
+DESCRIPTION="iLO automation from python or shell"
+HOMEPAGE="https://pypi.python.org/pypi/python-hpilo"
+SRC_URI="https://github.com/seveas/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+python_test() {
+ ${EPYTHON} -m unittest discover || die
+}